Microsoft.сеть САШ.Помощью SignalR.Redis требует StackExchange.Редис.StrongName, однако StackExchange.Редис.Увеличение.Ядро требует StackExchange.Редис

Microsoft.сеть САШ.Помощью SignalR.Redis требует StackExchange.Редис.StrongName, однако StackExchange.Редис.Увеличение.Ядро требует StackExchange.Редис

26.03.2016 09:51:30 Просмотров 46 Источник

Обе Корпорации Майкрософт.сеть САШ.Помощью SignalR.Redis и StackExchange.Редис.Увеличение.Ядра используются в одном проекте. Первый требует StackExchange.Редис.StrongName, в то время как последний имеет зависимость от StackExchange.Редис . Очевидно, что вы не можете иметь оба StackExchange.Редис.StrongName и StackExchange.Рэдис в той же папке bin.

Есть ли способ заставить Microsoft.сеть САШ.Помощью SignalR.Redis и StackExchange.Редис.Увеличение.Ядро для обоих либо работать с StackExchange.Редис.StrongName или StackExchange.Редис ?

У вопроса есть решение - Посмотреть?

Ответы - Microsoft.сеть САШ.Помощью SignalR.Redis требует StackExchange.Редис.StrongName, однако StackExchange.Редис.Увеличение.Ядро требует StackExchange.Редис / Microsoft.AspNet.SignalR.Redis requires StackExchange.Redis.StrongName, however StackExchange.Redis.Extensions.Core requires StackExchange.Redis

TD7

30.03.2016 12:55:45

В конечном итоге загрузка StackExchange.Редис.Решение расширений от Github и построение StackExchange.Редис.Увеличение.Ядро с StackExchange.Редис.Ссылка StrongName вместо StackExchange.Редис .

Интересно, что начиная с бета-версии v3, Microsoft больше не ссылается на StackExchange.Редис.Строгое_имя (https://www.nuget.org/packages/Microsoft.AspNet.SignalR.Redis/3.0.0-beta3)

Dependencies  
ASP.NET 5.0  
Microsoft.AspNet.SignalR.Server (>= 3.0.0-beta3)  
Microsoft.Framework.ConfigurationModel.Json (>= 1.0.0-beta3)  
StackExchange.Redis (>= 1.0.394)
https://stackoverflow.com/questions/36232541/microsoft-aspnet-signalr-redis-requires-stackexchange-redis-strongname-however/36295825#comment94523719_36295825
Они не включили в список пакет 3.0.0-beta3, но добавили новый пакет для версии 2.4.0, который поддерживает новый StackExchange.Редис. См. blogs.msdn.microsoft.com/webdev/2018/11/14/…
Закрыть X